apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: drone-ingress
  namespace: drone
  annotations:
    cert-manager.io/cluster-issuer: "letsencrypt-prod"
    nginx.ingress.kubernetes.io/force-ssl-redirect: "true"
spec:
  ingressClassName: nginx
  tls:
    - hosts:  
        - drone.prod.panic.haus
      secretName: drone-tls
  
  rules: 
    - host: drone.prod.panic.haus
      http:
        paths:   
          - path: /
            pathType: Prefix
            backend:
              service:
                name: drone-server
                port: 
                  number: 80
